Xcode 8.0-8.3.2 deprecation on Azure Pipelines hosted agents

Avatar

David

This September, Azure Pipelines delivered Microsoft-hosted build support for Xcode 10 on the day it was released. Now that our community builds fewer than 1 percent of apps with older versions of Xcode 8, we will focus on supporting Xcode 8.3.3 and higher.

Effective November 28, 2018, we are ending support for older versions of Xcode on Microsoft-hosted agents, including 8.0, 8.1, 8.2, 8.2.1, 8.3.1 and 8.3.2. If you use Microsoft-hosted agents, we recommend that you update your pipeline to use Xcode 8.3.3 or higher prior to November 28, 2018. After this date, pipelines that run on Microsoft-hosted agents and are configured with a deprecated version of Xcode will encounter errors. Self-hosted agents will not be affected. You can change the Xcode version used by your pipeline in the Xcode task settings or manually using xcode-select.

For any concerns, please contact us by creating an issue on our GitHub repository.

Thank you for using Azure Pipelines for your macOS-based pipelines!

Avatar
David Staheli

Program Manager, Azure Pipelines

Follow David   

0 comments

    Leave a comment